Story # 3023 (Closed): Review and where necessary alter, add, remove index fields

Update solr search index to support querying for science metadata with data.

2012-07-18 01:41 - Skye Roseboom

Status: Closed Start date: 2012-07-18

Priority: Normal Due date:  

Assignee: Skye Roseboom % Done: 100%

Category: d1_indexer Estimated time: 0.00 hour

Target version: Sprint-2012.39-Block.5.4   

Milestone: CCI-1.1 Story Points:  

Product Version: *   

Description

Need to update the solr search index to better support search feature for returning only results that have 1 or more data sets

associated with the science metadata.

Solution also needs to support returning eml science-metadata with inline datasets (and possibly no resourceMap).

Another potential issue is filtering out sci-meta docs that have data packages (resourceMaps) that do not include any data sets/files.

Once this task is complete, it will need to be incorporated into one-mercury search queries.

Related issues:

Precedes Infrastructure - Task #3313: Configure indexer to handle inline eml ... New 2012-10-08

History

#1 - 2012-09-25 21:09 - Skye Roseboom

I think a better solution would be to use the 'documents' and 'documentedBy' fields/relationships that is already defined.   This does not require a

schema change and would allow for example: an EML science metadata doc with inline data to 'document' itself - such that the solr search index

document for such and eml document would place its own identifier in the 'documents' and 'documentedBy' fields when that science-metadata

document contains inline data.

#2 - 2012-10-08 20:50 - Skye Roseboom

- Status changed from New to Closed

- translation missing: en.field_remaining_hours set to 0.0

changed one-mercury to return results with data to use 'documents' relationship to avoid returning system metadata in resource maps where they do

not document any data.

Will create a new issue to track handling inline eml science data and how the documents/documented by relationship is going to be configured - using

a resource map or no.
